Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface TransactionNameRuntimeMBean

public interface TransactionNameRuntimeMBean
extends JTATransactionStatisticsRuntimeMBean

This interface represents runtime statistics for a transaction name category.

Method Summary
`java.lang.String` | `getTransactionName()` Returns the transaction name.

Methods inherited from interface weblogic.management.runtime.JTATransactionStatisticsRuntimeMBean
`getSecondsActiveTotalCount, getTransactionAbandonedTotalCount, getTransactionRolledBackAppTotalCount, getTransactionRolledBackResourceTotalCount, getTransactionRolledBackSystemTotalCount, getTransactionRolledBackTimeoutTotalCount`

Methods inherited from interface weblogic.management.runtime.JTAStatisticsRuntimeMBean
`getTransactionCommittedTotalCount, getTransactionHeuristicsTotalCount, getTransactionRolledBackTotalCount, getTransactionTotalCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTransactionName

    public java.lang.String getTransactionName()

  Returns the transaction name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference